| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
concurrency::ConditionNode Class Reference

`#include <src/PrecedenceRulesGraph.h>`

Inheritance diagram for concurrency::ConditionNode:
[legend]
Collaboration diagram for concurrency::ConditionNode:
[legend]

## Public Member Functions
| ConditionNode (PrecedenceRulesGraph &graph, const DataObjID &path, SmartIF< ICondSvc > condSvc)
| Constructor. More...
bool | accept (IGraphVisitor &visitor) override
| Need to hide the (identical) base method with this one so that visitEnter(ConditionNode&) and visit(ConditionNode&) are called. More...
Public Member Functions inherited from concurrency::DataNode
| DataNode (PrecedenceRulesGraph &graph, const DataObjID &path)
| Constructor. More...
virtual | ~DataNode ()=default
| Destructor. More...
const DataObjID & | getPath ()
void | addProducerNode (AlgorithmNode *node)
| Add relationship to producer AlgorithmNode. More...
void | addConsumerNode (AlgorithmNode *node)
| Add relationship to consumer AlgorithmNode. More...
const std::vector< AlgorithmNode * > & | getProducers () const
| Get all data object producers. More...
const std::vector< AlgorithmNode * > & | getConsumers () const
| Get all data object consumers. More...

## Public Attributes
SmartIF< ICondSvc > | m_condSvc
Public Attributes inherited from concurrency::DataNode
PrecedenceRulesGraph * | m_graph

## Detailed Description

Definition at line 659 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

concurrency::ConditionNode::ConditionNode | ( | PrecedenceRulesGraph & | graph,
|  | const DataObjID & | path,
|  | SmartIF< ICondSvc > | condSvc
| ) |  |
| inline

Constructor.

Definition at line 663 of file PrecedenceRulesGraph.h.

664 : DataNode( graph, path ), m_condSvc( condSvc )
665 {
666 }
concurrency::DataNode::DataNode
DataNode(PrecedenceRulesGraph &graph, const DataObjID &path)
Constructor.
Definition: PrecedenceRulesGraph.h:620
plotSpeedupsPyRoot.graph
graph
Definition: plotSpeedupsPyRoot.py:142
concurrency::ConditionNode::m_condSvc
SmartIF< ICondSvc > m_condSvc
Definition: PrecedenceRulesGraph.h:679

## Member Function Documentation

bool concurrency::ConditionNode::accept | ( | IGraphVisitor & | visitor | ) |
| inline override virtual

Need to hide the (identical) base method with this one so that visitEnter(ConditionNode&) and visit(ConditionNode&) are called.

using DataNode::accept; ?

Reimplemented from concurrency::DataNode.

Definition at line 671 of file PrecedenceRulesGraph.h.

672 {
673 if ( visitor.visitEnter( *this ) ) return visitor.visit( *this );
674 return true;
675 }

## Member Data Documentation

SmartIF<ICondSvc> concurrency::ConditionNode::m_condSvc

Definition at line 679 of file PrecedenceRulesGraph.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h